<?php

/**
 * @file
 * hospital_site_all_panels_collection.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function hospital_site_all_panels_collection_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  if ($module == "panels" && $api == "pipelines") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_default_profile2_type().
 */
function hospital_site_all_panels_collection_default_profile2_type() {
  $items = array();
  $items['doctor_profile'] = entity_import('profile2_type', '{
    "userCategory" : true,
    "userView" : true,
    "type" : "doctor_profile",
    "label" : "Doctor Profile",
    "weight" : "2",
    "data" : {
      "registration" : 0,
      "roles" : { "2" : "2", "12" : "12", "15" : "15" },
      "use_page" : 0
    },
    "rdf_mapping" : []
  }');
  $items['main'] = entity_import('profile2_type', '{
    "userCategory" : true,
    "userView" : true,
    "type" : "main",
    "label" : "Other Details",
    "weight" : "0",
    "data" : {
      "registration" : 1,
      "roles" : {
        "2" : "2",
        "3" : "3",
        "4" : "4",
        "5" : "5",
        "6" : "6",
        "7" : "7",
        "8" : "8",
        "9" : "9",
        "10" : "10",
        "11" : "11",
        "12" : "12",
        "13" : "13",
        "14" : "14",
        "15" : "15",
        "16" : "16",
        "17" : "17"
      },
      "use_page" : 0
    },
    "rdf_mapping" : []
  }');
  return $items;
}
